summaryrefslogtreecommitdiff
path: root/recipes-core/lighttpd/lighttpd/lighttpd.init
diff options
context:
space:
mode:
authorPatrick Murphy <Patrick.Murphy@multitech.com>2020-06-10 16:30:03 -0500
committerJohn Klug <john.klug@multitech.com>2020-06-18 20:22:08 -0500
commit01f73eaf483ea5050a26098c3eb5949275118f3c (patch)
tree1b47e66e6c832ef56bae96d9eb8bcfc960b9981d /recipes-core/lighttpd/lighttpd/lighttpd.init
parent21ba34aa24d4953e278dc35e010f7d9b9f6842e2 (diff)
downloadmeta-mlinux-01f73eaf483ea5050a26098c3eb5949275118f3c.tar.gz
meta-mlinux-01f73eaf483ea5050a26098c3eb5949275118f3c.tar.bz2
meta-mlinux-01f73eaf483ea5050a26098c3eb5949275118f3c.zip
recovered 1.4.48 default init script
Diffstat (limited to 'recipes-core/lighttpd/lighttpd/lighttpd.init')
-rw-r--r--recipes-core/lighttpd/lighttpd/lighttpd.init34
1 files changed, 34 insertions, 0 deletions
diff --git a/recipes-core/lighttpd/lighttpd/lighttpd.init b/recipes-core/lighttpd/lighttpd/lighttpd.init
new file mode 100644
index 0000000..bf89a60
--- /dev/null
+++ b/recipes-core/lighttpd/lighttpd/lighttpd.init
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/lighttpd
+NAME=lighttpd
+DESC="Lighttpd Web Server"
+OPTS="-f /etc/lighttpd.conf"
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start -x "$DAEMON" -- $OPTS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop -x "$DAEMON"
+ echo "$NAME."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop -x "$DAEMON"
+ sleep 1
+ start-stop-daemon --start -x "$DAEMON" -- $OPTS
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0